## grace 5.0.1

=== Makefile ===
#####################################################
# Top-level Makefile for XMGR4                      #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the current directory #
#####################################################

include Make.conf

subdirs : configure Make.conf
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE)) || exit 1; done

all : $(subdirs)

install : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
	$(MKINSTALLDIRS) $(GRACE_HOME)
	$(INSTALL_DATA) gracerc.sample $(GRACE_HOME)

tests : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done

check : tests

links : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) links) || exit 1; done

clean : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) clean) || exit 1; done

distclean : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) distclean) || exit 1; done
	$(RM) config.log config.status config.cache config.h Make.conf

devclean : $(subdirs)
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
	$(RM) config.log config.status config.cache config.h Make.conf configure

texts : CHANGES MIGRATION

CHANGES : doc/CHANGES.html
	@lynx -dump $? > CHANGES

MIGRATION : doc/MIGRATION.html
	@lynx -dump $? > MIGRATION

Make.conf : conf/Make.conf.in configure
	@echo
	@echo 'Please re-run ./configure'
	@echo
	@exit 1

configure : conf/configure.in
	autoconf $? > configure
	chmod +x configure
	@echo
	@echo 'Please re-run ./configure'
	@echo
	@exit 1

dummy :

=== T1lib/Makefile ===
#

TOP    = ..
include $(TOP)/Make.conf
ALLCFLAGS = $(CFLAGS0) -DGLOBAL_CONFIG_DIR="\".\"" -DT1_AA_TYPE16=$(T1_AA_TYPE16) -DT1_AA_TYPE32=$(T1_AA_TYPE32) -I../..
SUBMAKE   = $(MAKE) 'CC=$(CC)' 'CFLAGS=$(ALLCFLAGS)'

# targets to build: 
MAIN_TARGET = libt1.a

TYPE1_OBJS = \
	type1/arith.o \
	type1/curves.o \
	type1/fontfcn.o \
	type1/hints.o \
	type1/lines.o \
	type1/objects.o \
	type1/paths.o \
	type1/regions.o \
	type1/scanfont.o \
	type1/spaces.o \
	type1/t1io.o \
	type1/t1snap.o \
	type1/t1stub.o \
	type1/token.o \
	type1/type1.o \
	type1/util.o 


T1LIB_OBJS = \
	t1lib/t1finfo.o \
	t1lib/t1base.o \
	t1lib/t1delete.o \
	t1lib/t1enc.o \
	t1lib/t1env.o \
	t1lib/t1load.o \
	t1lib/t1set.o \
	t1lib/t1trans.o \
	t1lib/t1aaset.o \
	t1lib/t1afmtool.o \
	t1lib/parseAFM.o 


TYPE1_SRCS = \
	type1/arith.c \
	type1/curves.c \
	type1/fontfcn.c \
	type1/hints.c \
	type1/lines.c \
	type1/objects.c \
	type1/paths.c \
	type1/regions.c \
	type1/scanfont.c \
	type1/spaces.c \
	type1/t1io.c \
	type1/t1snap.c \
	type1/t1stub.c \
	type1/token.c \
	type1/type1.c \
	type1/util.c 


T1LIB_SRCS = \
	t1lib/t1finfo.c \
	t1lib/t1base.c \
	t1lib/t1delete.c \
	t1lib/t1enc.c \
	t1lib/t1env.c \
	t1lib/t1load.c \
	t1lib/t1set.c \
	t1lib/t1trans.c \
	t1lib/t1aaset.c \
	t1lib/t1afmtool.c \
	t1lib/parseAFM.c 


TYPE1_HEADERS = \
	type1/Xstuff.h \
	type1/arith.h \
	type1/blues.h \
	type1/cluts.h \
	type1/curves.h \
	type1/digit.h \
	type1/ffilest.h \
	type1/font.h \
	type1/fontfcn.h \
	type1/fontfile.h \
	type1/fontmisc.h \
	type1/fonts.h \
	type1/fontstruct.h \
	type1/fontxlfd.h \
	type1/fsmasks.h \
	type1/hdigit.h \
	type1/hints.h \
	type1/lines.h \
	type1/objects.h \
	type1/paths.h \
	type1/paths_rmz.h \
	type1/pictures.h \
	type1/regions.h \
	type1/spaces.h \
	type1/spaces_rmz.h \
	type1/strokes.h \
	type1/t1hdigit.h \
	type1/t1imager.h \
	type1/t1intf.h \
	type1/t1stdio.h \
	type1/token.h \
	type1/tokst.h \
	type1/trig.h \
	type1/types.h \
	type1/util.h


T1LIB_HEADERS = \
	t1lib/parseAFM.h \
	t1lib/t1afmtool.h \
	t1lib/t1aaset.h \
	t1lib/t1base.h \
	t1lib/t1delete.h \
	t1lib/t1enc.h \
	t1lib/t1env.h \
	t1lib/t1extern.h \
	t1lib/t1finfo.h \
	t1lib/t1global.h \
	t1lib/t1lib.h \
	t1lib/t1load.h \
	t1lib/t1misc.h \
	t1lib/t1set.h \
	t1lib/t1trans.h \
	t1lib/t1types.h


LIBSUBDIRS = \
	type1 \
	t1lib


MAIN_TARGET = libt1.a


DUMMYSUBDIRS=XXXX


all: $(DUMMYSUBDIRS) $(MAIN_TARGET)


$(DUMMYSUBDIRS): dummy
	@for i in $(LIBSUBDIRS); do \
	  (cd $$i; $(SUBMAKE) ) || exit 1; \
	done



libt1.a: $(TYPE1_OBJS) $(T1LIB_OBJS) $(TYPE1_SRCS) $(T1LIB_SRCS) $(TYPE1_HEADERS) $(T1LIB_HEADERS)
	$(RM) $@
	$(AR) cr $@ $(TYPE1_OBJS) $(T1LIB_OBJS)
	$(RANLIB) $@


.PHONY: clean


clean: dummy
	for i in $(LIBSUBDIRS); do \
	  (cd $$i; $(MAKE) clean) || exit 1; \
	done
	$(RM) libt1*.a *~  

distclean: dummy
	for i in $(LIBSUBDIRS); do \
	  (cd $$i; $(MAKE) clean) || exit 1; \
	done
	$(RM) libt1*.a *~  

install: dummy

links: dummy

tests: dummy

dummy:

=== auxiliary/Makefile ===
#####################################################
# Makefile for auxiliary stuff of XMGR              #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

AUXILIARIES = README jul2greg.c greg2jul.c magic.xmgr 

all : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(AUXILIARIES) fdf2fit
	$(MKINSTALLDIRS) $(GRACE_HOME)/auxiliary
	for i in $(AUXILIARIES); do $(INSTALL_DATA) $$i $(GRACE_HOME)/auxiliary; done
	$(INSTALL_PROGRAM) fdf2fit $(GRACE_HOME)/auxiliary

tests : dummy

links : dummy

dummy :

=== cephes/Makefile ===
#####################################################
# Makefile for Cephes math library                  #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

CFLAGS=$(CFLAGS0) -I$(TOP) -I. 

LIB=libcephes.a

all : $(LIB)

include Make.common

include Make.dep


$(LIB) : $(OBJS)
	$(AR) cr $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

install : $(LIB)

tests : dummy

links : dummy

clean :
	$(RM) $(LIB) $(OBJS)

distclean :
	$(RM) $(LIB) $(OBJS) *.orig

devclean :
	$(RM) $(LIB) $(OBJS) *.orig

dummy :

=== doc/Makefile ===
#####################################################
# Makefile for documentation of XMGR                #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

DOCS = CHANGES.html dblclick.html intro.html plot.html trans.html \
	FAQ.html edcrset.html main.html points.html usage.html \
	file.html nohelp.html regions.html view.html \
	acegr_np.html fonts.html npipe.html sets.html guide.html \
	commands.html graphops.html options.html test_np.c \
	data.html hotkeys.html page.html testf_np.f dlmodule.html \
	MIGRATION.html GPL.html philosophical-gnu-sm.jpg

all : dummy

clean : dummy

distclean : 
	$(RM) *.orig

devclean : dummy

install : $(DOCS)
	$(MKINSTALLDIRS) $(GRACE_HOME)/doc
	for i in $(DOCS); do $(INSTALL_DATA) $$i $(GRACE_HOME)/doc; done

links : dummy

tests : dummy

dummy :

=== examples/Makefile ===
#####################################################
# Makefile for examples of GRACE                    #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

DOTEST = dotest$(BAT)

EXAMPLES = altaxis.par logtest.par tbar3.dat times.dat \
	au.d manygraphs.agr terr.d tinset.d \
	axes.agr mlo.dat terr2.d tlog.agr \
	bar.d explain.agr moresyms.agr test.com tmc.c \
	bar2.d fills.dat props.agr test.dat tpipe.d \
	bars.d graphs.par regions.par test1.par tstack.dat \
	brw.dat hilo.dat slideshow.d test2.d txyr.dat \
	co2.all log.d stackedb.d tfonts.agr typeset.agr \
	co2.par logistic.d logistic.fit symslines.agr tforms.par polar.agr

all : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(EXAMPLES) $(DOTEST)
	$(MKINSTALLDIRS) $(GRACE_HOME)/examples
	for i in $(EXAMPLES); do $(INSTALL_DATA) $$i $(GRACE_HOME)/examples; done
	$(INSTALL_PROGRAM) $(DOTEST) $(GRACE_HOME)/examples/$(DOTEST)

links : dummy

tests : $(EXAMPLES) $(DOTEST)
	./$(DOTEST)

dummy :

=== fonts/Makefile ===
#####################################################
# Makefile for the fonts directory of GRACE         #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

FONTDATABASE = FontDataBase

FONTS = type1/n021003l.pfb \
	type1/n021023l.pfb \
	type1/n021004l.pfb \
	type1/n021024l.pfb \
	type1/n019003l.pfb \
	type1/n019023l.pfb \
	type1/n019004l.pfb \
	type1/n019024l.pfb \
	type1/n022003l.pfb \
	type1/n022023l.pfb \
	type1/n022004l.pfb \
	type1/n022024l.pfb \
	type1/d050000l.pfb \
	type1/s050000l.pfb

AFMS =  type1/d050000l.afm \
	type1/n019003l.afm \
	type1/n019004l.afm \
	type1/n019023l.afm \
	type1/n019024l.afm \
	type1/n021003l.afm \
	type1/n021004l.afm \
	type1/n021023l.afm \
	type1/n022003l.afm \
	type1/n022023l.afm \
	type1/n022004l.afm \
	type1/n022024l.afm \
	type1/n021024l.afm \
	type1/s050000l.afm

ENCODINGS = enc/IsoLatin1.enc enc/Default.enc

all : dummy

tests : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(FONTS) $(AFMS) $(ENCODINGS)
	$(MKINSTALLDIRS) $(GRACE_HOME)/fonts
	$(INSTALL_DATA) $(FONTDATABASE) $(GRACE_HOME)/fonts
	$(MKINSTALLDIRS) $(GRACE_HOME)/fonts/type1
	for i in $(FONTS); do $(INSTALL_DATA) $$i $(GRACE_HOME)/fonts/type1; done
	for i in $(AFMS); do $(INSTALL_DATA) $$i $(GRACE_HOME)/fonts/type1; done
	$(MKINSTALLDIRS) $(GRACE_HOME)/fonts/enc
	for i in $(ENCODINGS); do $(INSTALL_DATA) $$i $(GRACE_HOME)/fonts/enc; done

links : dummy

dummy :

=== grace_np/Makefile ===
#####################################################
# Makefile for libgrace_np                          #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c .f $(O)

LIB = libgrace_np.a

CFLAGS=$(CFLAGS0) -I$(TOP) -I. 

LIBS = $(NOGUI_LIBS)

LIBOBJS = grace_np$(O) gracef_np$(O)
TESTS=test_np$(EXE) testf_np$(EXE)

all : $(LIB)

tests : $(TESTS)
	-@PATH=../src:$$PATH; export PATH; GRACE_HOME=..; export GRACE_HOME; \
	for i in $(TESTS); do echo Running $$i; ./$$i; done

$(LIB) : $(LIBOBJS) 
	$(RM) $@
	$(AR) cr $@ $(LIBOBJS)
	$(RANLIB) $@

$(LIBOBJS) : $(TOP)/config.h grace_np.h

test_np$(EXE) : test_np$(O)
	$(CC) $(CFLAGS) -o $@ $? $(LIB)

testf_np$(EXE) : testf_np$(O)
	-$(FC) $(FFLAGS) -o $@ $? $(LIB)

test_np$(O) : $(LIB)
testf_np$(O) : $(LIB)

install : $(LIB)
	$(MKINSTALLDIRS) $(GRACE_HOME)/lib
	$(INSTALL_DATA) $(LIB) $(GRACE_HOME)/lib/$(LIB)
	$(MKINSTALLDIRS) $(GRACE_HOME)/include
	$(INSTALL_DATA) grace_np.h $(GRACE_HOME)/include/grace_np.h

links : $(LIB)
	$(MKINSTALLDIRS) $(PREFIX)/lib
	cd $(PREFIX)/lib; $(RM) $(LIB); $(LN_S) $(GRACE_HOME)/lib/$(LIB) $(LIB)
	$(MKINSTALLDIRS) $(PREFIX)/include
	cd $(PREFIX)/include; $(RM) grace_np.h; $(LN_S) $(GRACE_HOME)/include/grace_np.h grace_np.h
	
clean :
	$(RM) *.o sample.gr $(TESTS)

distclean :
	$(RM) *.o sample.gr $(LIB) $(TESTS)
	
devclean :
	$(RM) *.o sample.gr $(LIB) $(TESTS)

=== grconvert/Makefile ===
#####################################################
# Makefile for grconvert                            #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

PROG = grconvert$(EXE)

SRCS = grconvert.c defaults.c readbin.c writeasc.c util.c

OBJS = grconvert$(O) defaults$(O) readbin$(O) writeasc$(O) util$(O)

CFLAGS = $(CFLAGS0) -I$(TOP) -I. 

LIBS = $(XDR_LIB) $(NOGUI_LIBS)

all : $(PROG)

$(PROG) : $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIBS)

$(OBJS) : grconvert.h

tests : dummy

links : dummy

clean :
	$(RM) $(OBJS) 

distclean :
	$(RM) $(PROG) $(OBJS)
	
devclean :
	$(RM) $(PROG) $(OBJS)

install : $(PROG)
	$(MKINSTALLDIRS) $(GRACE_HOME)/bin
	$(INSTALL_PROGRAM) -s $(PROG) $(GRACE_HOME)/bin/$(PROG)

dummy :

=== src/Makefile ===
#####################################################
# Makefile for GRACE                                #
#####################################################
# You should not change anything here.              #
# Please read INSTALL file in the upper directory   #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

GRBATCH=gracebat$(EXE)

CEPHES_LIB=$(TOP)/cephes/libcephes.a

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(GUI_FLAGS) -DGRACE_HOME=\"$(GRACE_HOME)\" \
	$(HELPVIEWER) $(NETCDF) -DPRINT_CMD=\"$(PRINT_CMD)\"

LIBS=$(GUI_LIBS) $(CEPHES_LIB) $(NETCDF_LIBS) $(FFTW_LIB) \
	$(T1_LIB) $(PDF_LIB) $(GD_LIB) $(NOGUI_LIBS) $(DL_LIB)

all : $(GRACE)


include Make.common

include Make.dep

xmgrace$(EXE) : $(GROBJS) $(PARS_C) $(GUIOBJS) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) $(GUIOBJS) -o $@ $(LDFLAGS) $(LIBS)

grace$(EXE) : $(GROBJS) $(PARS_C) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) -o $@ $(LDFLAGS) $(LIBS)


$(PARS_C) : $(PARS_Y)
	$(YACC) -t $?
	mv y.tab.c $@

install : $(GRACE)
	$(MKINSTALLDIRS) $(GRACE_HOME)/bin
	$(INSTALL_PROGRAM) -s $(GRACE) $(GRACE_HOME)/bin/$(GRACE)
	cd $(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)

tests : dummy

links : $(GRACE)
	$(MKINSTALLDIRS) $(PREFIX)/bin
	cd $(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
	cd $(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)

clean : 
	$(RM) $(GROBJS) $(GUIOBJS)

distclean : 
	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) \
	tags *.orig *.*gr .gdb_history t1lib.log
	
devclean : 
	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) \
	tags *.orig *.*gr .gdb_history t1lib.log $(PARS_C)

tags : $(GRSRCS) $(GUISRCS) $(PARS_Y)
	ctags --format=1 $(GRSRCS) $(GUISRCS) $(PARS_Y)
	
lint :
	lint  $(GRINCS) $(GUIINCS) $(GRSRCS) $(GUISRCS)

rcs : Makefile pars.yacc $(GRINCS) $(GUIINCS) $(GRSRCS) $(GUISRCS)
	ci -l $?
	touch rcs

dummy :

=== T1lib/t1lib/Makefile ===
#

OBJS = \
	t1finfo.o \
	t1base.o \
	t1delete.o \
	t1enc.o \
	t1env.o \
	t1load.o \
	t1set.o \
	t1trans.o \
	t1aaset.o \
	t1afmtool.o \
	parseAFM.o 


all: $(OBJS)


.PHONY: clean

clean: dummy
	$(RM) *.o
	$(RM) *~ *.bak \#*\#


install: dummy


dummy:


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies

=== T1lib/type1/Makefile ===
#

# targets to build: 

OBJS = \
	arith.o \
	curves.o \
	fontfcn.o \
	hints.o \
	lines.o \
	objects.o \
	paths.o \
	regions.o \
	scanfont.o \
	spaces.o \
	t1io.o \
	t1snap.o \
	t1stub.o \
	token.o \
	type1.o \
	util.o 


all: $(OBJS)


.PHONY: clean

clean: dummy
	$(RM) *.o
	$(RM) *~ *.bak \#*\#


install: dummy


dummy:


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies

## grace 5.0.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #####################################################
-# Top-level Makefile for XMGR4                      #
+# Top-level Makefile for Grace                      #
 #####################################################
 # You should not change anything here.              #
-# Please read INSTALL file in the current directory #
 #####################################################
 
 include Make.conf
@@ -15,7 +14,14 @@
 install : $(subdirs)
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
 	$(MKINSTALLDIRS) $(GRACE_HOME)
-	$(INSTALL_DATA) gracerc.sample $(GRACE_HOME)
+	@if test -f $(GRACE_HOME)/gracerc; then \
+		echo "	$(GRACE_HOME)/gracerc exists"; \
+		echo "	Installing only $(GRACE_HOME)/gracerc.sample"; \
+		$(INSTALL_DATA) gracerc $(GRACE_HOME)/gracerc.sample; \
+	else \
+		$(INSTALL_DATA) gracerc $(GRACE_HOME); \
+	fi
+	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
 
 tests : $(subdirs)
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
@@ -36,27 +42,27 @@
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf configure
 
-texts : CHANGES MIGRATION
+texts : CHANGES ChangeLog
 
 CHANGES : doc/CHANGES.html
 	@lynx -dump $? > CHANGES
 
-MIGRATION : doc/MIGRATION.html
-	@lynx -dump $? > MIGRATION
+ChangeLog : 
+	./scripts/cvs2cl.pl
 
-Make.conf : conf/Make.conf.in configure
+Make.conf : ac-tools/Make.conf.in configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
-	@exit 1
 
-configure : conf/configure.in
-	autoconf $? > configure
+configure : ac-tools/configure.in ac-tools/ice_check_lesstif.m4 \
+	ac-tools/mdw_check_manylibs.m4 ac-tools/ice_find_motif.m4 \
+	ac-tools/ice_check_decl.m4
+	autoconf ac-tools/configure.in > configure
 	chmod +x configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
-	@exit 1
 
 dummy :

=== auxiliary/Makefile ===
#####################################################
# Makefile for auxiliary stuff of Grace             #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

AUXILIARIES = README convcal.c magic.grace
PROGRAMS = fdf2fit convcal$(EXE)

all : convcal$(EXE)

clean : dummy

distclean : dummy

devclean : dummy

convcal$(EXE) : convcal.c
	$(CC) $(CFLAGS0) $(CPPFLAGS) -o $@ convcal.c $(NOGUI_LIBS)

install : $(AUXILIARIES) $(PROGRAMS)
	$(MKINSTALLDIRS) $(GRACE_HOME)/auxiliary
	for i in $(AUXILIARIES); do $(INSTALL_DATA) $$i $(GRACE_HOME)/auxiliary; done
	for i in $(PROGRAMS); do $(INSTALL_PROGRAM) $$i $(GRACE_HOME)/bin; done

tests : dummy

links : dummy

dummy :

=== examples/Makefile ===
#####################################################
# Makefile for examples of Grace                    #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

DOTEST = dotest$(BAT)

EXAMPLES = altaxis.par logtest.par times.agr \
	au.agr manygraphs.agr terr.agr tinset.agr \
	axes.agr mlo.dat tlog.agr log2.agr \
	bar.agr explain.agr moresyms.agr test.com tmc.c \
	fills.agr props.agr test.dat \
	chartebar.agr charts.agr graphs.par regions.par test1.par tstack.agr \
	brw.dat hilo.agr test2.agr arrows.agr txyr.agr \
	co2.agr log.dat stackedb.agr tfonts.agr typeset.agr xyz.agr \
	co2.par logistic.agr logistic.fit symslines.agr tforms.par polar.agr \
	motif.agr spectrum.agr

all : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(EXAMPLES) $(DOTEST)
	$(MKINSTALLDIRS) $(GRACE_HOME)/examples
	for i in $(EXAMPLES); do $(INSTALL_DATA) $$i $(GRACE_HOME)/examples; done
	$(INSTALL_PROGRAM) $(DOTEST) $(GRACE_HOME)/examples/$(DOTEST)

links : dummy

tests : $(EXAMPLES) $(DOTEST)
	./$(DOTEST)

dummy :

=== grace_np/Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Makefile for libgrace_np                          #
 #####################################################
 # You should not change anything here.              #
-# Please read INSTALL file in the upper directory   #
 #####################################################
 
 TOP=..
@@ -13,7 +12,7 @@
 
 LIB = libgrace_np.a
 
-CFLAGS=$(CFLAGS0) -I$(TOP) -I. 
+CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(CPPFLAGS)
 
 LIBS = $(NOGUI_LIBS)
 
@@ -55,11 +54,11 @@
 	cd $(PREFIX)/include; $(RM) grace_np.h; $(LN_S) $(GRACE_HOME)/include/grace_np.h grace_np.h
 	
 clean :
-	$(RM) *.o sample.gr $(TESTS)
+	$(RM) *.o sample.agr $(TESTS)
 
 distclean :
-	$(RM) *.o sample.gr $(LIB) $(TESTS)
+	$(RM) *.o sample.agr $(LIB) $(TESTS)
 	
 devclean :
-	$(RM) *.o sample.gr $(LIB) $(TESTS)
+	$(RM) *.o sample.agr $(LIB) $(TESTS)

=== src/Makefile ===
#####################################################
# Makefile for Grace                                #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

GRBATCH=gracebat$(EXE)

CEPHES_LIB=$(TOP)/cephes/libcephes.a

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(T1_INC) $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS)

LIBS=$(GUI_LIBS) $(CEPHES_LIB) $(NETCDF_LIBS) $(FFTW_LIB) \
	$(T1_LIB) $(PDF_LIB) $(TIFF_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) \
	$(NOGUI_LIBS) $(DL_LIB)

PREFS=-DGRACE_HOME=\"$(GRACE_HOME)\" -DGRACE_PRINT_CMD=\"$(PRINT_CMD)\" \
	-DGRACE_EDITOR=\"$(GRACE_EDITOR)\" $(HELPVIEWER) \
	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LIBS)'\" 

all : $(GRACE)


include Make.common

$(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) : $(TOP)/config.h

include Make.dep

xmgrace$(EXE) : $(GROBJS) $(PARS_C) $(GUIOBJS) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) $(GUIOBJS) -o $@ $(LDFLAGS) $(LIBS)

grace$(EXE) : $(GROBJS) $(PARS_C) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) -o $@ $(LDFLAGS) $(LIBS)


buildinfo$(EXE) : buildinfo$(O)
	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(NOGUI_LIBS)

buildinfo$(O) : $(TOP)/Make.conf
	$(CC) $(CFLAGS) $(PREFS) -c buildinfo.c -o $@

buildinfo.h : buildinfo$(EXE) $(GRSRCS) $(GUISRCS)
	./buildinfo$(EXE) > $@

$(PARS_C) : $(PARS_Y)
	$(YACC) -t $?
	mv y.tab.c $@


install : $(GRACE)
	$(MKINSTALLDIRS) $(GRACE_HOME)/bin
	$(INSTALL_PROGRAM) -s $(GRACE) $(GRACE_HOME)/bin/$(GRACE)
	cd $(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)

tests : dummy

links : $(GRACE)
	$(MKINSTALLDIRS) $(PREFIX)/bin
	cd $(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
	cd $(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)

clean : 
	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O)

distclean : 
	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) buildinfo$(EXE)\
	tags *.orig *.*gr .gdb_history t1lib.log

devclean : 
	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) \
	tags *.orig *.*gr .gdb_history t1lib.log $(PARS_C)

depend :
	echo "# Generated automatically by \`make depend'" > Make.dep
	$(CC) $(CFLAGS) -MM $(GRSRCS) $(GUISRCS) $(PARS_C) buildinfo.c \
		| sed 's/\.o:/\$$(O)\ :/g' >> Make.dep

tags : $(GRSRCS) $(GUISRCS) $(PARS_Y)
	ctags --format=1 $(GRSRCS) $(GUISRCS) $(PARS_Y)

dummy :

# DO NOT DELETE

=== templates/Makefile ===
#####################################################
# Makefile for templates of Grace                   #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

DEFAULT_AGR = Default.agr

all : $(DEFAULT_AGR)

clean : dummy

distclean : 
	$(RM) *.orig

devclean : dummy

install : $(DEFAULT_AGR)
	$(MKINSTALLDIRS) $(GRACE_HOME)/templates
	@if test -f $(GRACE_HOME)/templates/$(DEFAULT_AGR); then \
		echo "	$(GRACE_HOME)/templates/$(DEFAULT_AGR) exists"; \
		echo "	Installing only $(GRACE_HOME)/templates/$(DEFAULT_AGR).sample"; \
		$(INSTALL_DATA) $(DEFAULT_AGR) $(GRACE_HOME)/templates/$(DEFAULT_AGR).sample; \
	else \
		$(INSTALL_DATA) $(DEFAULT_AGR) $(GRACE_HOME)/templates/$(DEFAULT_AGR); \
	fi

links : dummy

tests : dummy

dummy :

=== T1lib/t1lib/Makefile ===
#
TOP=../..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

OBJS = \
	t1finfo$(O) \
	t1base$(O) \
	t1delete$(O) \
	t1enc$(O) \
	t1env$(O) \
	t1load$(O) \
	t1set$(O) \
	t1trans$(O) \
	t1aaset$(O) \
	t1afmtool$(O) \
	t1outline$(O) \
	parseAFM$(O) 


all : $(OBJS)


.PHONY : clean

clean : dummy
	$(RM) *$(O)
	$(RM) *~ *.bak \#*\#


install : dummy


dummy :


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies

## grace 5.1.7

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 subdirs : configure Make.conf
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE)) || exit 1; done
 
-all : $(subdirs)
+all : subdirs
 
-install : $(subdirs)
+install : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
 	$(MKINSTALLDIRS) $(GRACE_HOME)
 	@if test -f $(GRACE_HOME)/gracerc; then \
@@ -23,22 +23,22 @@
 	fi
 	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
 
-tests : $(subdirs)
+tests : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
 
 check : tests
 
-links : $(subdirs)
+links : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) links) || exit 1; done
 
-clean : $(subdirs)
+clean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) clean) || exit 1; done
 
-distclean : $(subdirs)
+distclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) distclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf
 
-devclean : $(subdirs)
+devclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
 	$(RM) config.log config.status config.cache config.h Make.conf configure
 
@@ -48,21 +48,17 @@
 	@lynx -dump $? > CHANGES
 
 ChangeLog : 
-	./scripts/cvs2cl.pl
+	./scripts/cvs2cl.pl -F grace-5_1-series
 
 Make.conf : ac-tools/Make.conf.in configure
 	@echo
 	@echo 'Please re-run ./configure'
 	@echo
+	@exit 1
 
-configure : ac-tools/configure.in ac-tools/ice_check_lesstif.m4 \
-	ac-tools/mdw_check_manylibs.m4 ac-tools/ice_find_motif.m4 \
-	ac-tools/ice_check_decl.m4
+configure : ac-tools/configure.in ac-tools/aclocal.m4
 	autoconf ac-tools/configure.in > configure
 	chmod +x configure
-	@echo
-	@echo 'Please re-run ./configure'
-	@echo
 
 dummy :

=== doc/Makefile ===
#####################################################
# Makefile for documentation of Grace               #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .sgml .dvi .html .pdf .ps .tex

# NB: the language and papersize options should be made `configure'able
LANGUAGE    = english
PAPERSIZE   = letter

LINUXDOC    = linuxdoc --language=$(LANGUAGE) --papersize=$(PAPERSIZE)

SGML2HTML   = $(LINUXDOC) --backend=html  --split=0 --toc=2
SGML2LATEX  = $(LINUXDOC) --backend=latex --output=tex
SGML2DVI    = $(LINUXDOC) --backend=latex --output=dvi
DVI2PS      = dvips -t $(PAPERSIZE)
LATEX       = latex
PDFLATEX    = pdflatex

.sgml.html :
	$(SGML2HTML) $<

.sgml.dvi :
	$(SGML2DVI) $<
	
.sgml.tex :
	$(SGML2LATEX) $<

.tex.dvi :
	$(LATEX) $<
	$(LATEX) $<

.dvi.ps :
	$(DVI2PS) $< -o $@

.tex.pdf :
	$(PDFLATEX) $<
	$(PDFLATEX) $<

SGMLS    = FAQ.sgml Tutorial.sgml UsersGuide.sgml 
HTMLS    = CHANGES.html GPL.html philosophical-gnu-sm.jpg nohelp.html

HTMLDOCS = FAQ.html Tutorial.html UsersGuide.html

DVIDOCS  = FAQ.dvi Tutorial.dvi UsersGuide.dvi

PSDOCS   = FAQ.ps Tutorial.ps UsersGuide.ps

PDFDOCS  = FAQ.pdf Tutorial.pdf UsersGuide.pdf

TEXDOCS  = FAQ.tex Tutorial.tex UsersGuide.tex

TUTDATA  = 2.1.dat 3.dat 7.1.2.agr 7.1.3.agr 8.2.dat \
           10.1.dat 10a.dat 10c.dat 10b.dat shiftdata.sh mygraph.png

GRACEMAN = grace.1
MANLINKS = xmgrace.1 gracebat.1
MANPAGES = $(GRACEMAN) grconvert.1 convcal.1

all : html dvi

html : $(HTMLDOCS)

dvi  : $(DVIDOCS)

pdf  : $(PDFDOCS)

ps   : $(PSDOCS)

tex  : $(TEXDOCS)

clean :
	$(RM) $(TEXDOCS) *.aux *.log *.toc

distclean : clean
	$(RM) *.orig

devclean : distclean
	$(RM) $(DVIDOCS) $(PSDOCS) $(PDFDOCS) $(HTMLDOCS)

install : $(HTMLS) $(HTMLDOCS) $(DVIDOCS) $(TUTDATA) $(MANPAGES)
	$(MKINSTALLDIRS) $(GRACE_HOME)/doc
	for i in $?; do $(INSTALL_DATA) $$i $(GRACE_HOME)/doc; done
	cd $(GRACE_HOME)/doc; \
	for i in $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACEMAN) $$i; done

links : $(MANPAGES)
	$(MKINSTALLDIRS) $(PREFIX)/man
	$(MKINSTALLDIRS) $(PREFIX)/man/man1
	cd $(PREFIX)/man/man1; \
	for i in $? $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done

tests : dummy

dummy :

=== examples/Makefile ===
--- 
+++ 
@@ -12,14 +12,15 @@
 
 EXAMPLES = altaxis.par logtest.par times.agr \
 	au.agr manygraphs.agr terr.agr tinset.agr \
-	axes.agr mlo.dat tlog.agr log2.agr \
-	bar.agr explain.agr moresyms.agr test.com tmc.c \
+	axes.agr mlo.dat tlog.agr log2.agr logit.agr reciprocal.agr \
+	bar.agr explain.agr test.com tmc.c \
 	fills.agr props.agr test.dat \
 	chartebar.agr charts.agr graphs.par regions.par test1.par tstack.agr \
 	brw.dat hilo.agr test2.agr arrows.agr txyr.agr \
 	co2.agr log.dat stackedb.agr tfonts.agr typeset.agr xyz.agr \
 	co2.par logistic.agr logistic.fit symslines.agr tforms.par polar.agr \
-	motif.agr spectrum.agr
+	motif.agr spectrum.agr pie.agr txttrans.agr boxplot.agr vmap.agr \
+	xysize.agr xycolor.agr
 
 all : dummy

=== src/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 GRBATCH=gracebat$(EXE)
 
+GRACECLI=grace$(EXE)
+
 CEPHES_LIB=$(TOP)/cephes/libcephes.a
 
 CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(T1_INC) $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS)
@@ -22,7 +24,7 @@
 
 PREFS=-DGRACE_HOME=\"$(GRACE_HOME)\" -DGRACE_PRINT_CMD=\"$(PRINT_CMD)\" \
 	-DGRACE_EDITOR=\"$(GRACE_EDITOR)\" $(HELPVIEWER) \
-	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LIBS)'\" 
+	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LDFLAGS) $(LIBS)'\" 
 
 all : $(GRACE)
 
@@ -41,13 +43,15 @@
 
 
 buildinfo$(EXE) : buildinfo$(O)
-	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(NOGUI_LIBS)
+	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) $(NOGUI_LIBS)
 
 buildinfo$(O) : $(TOP)/Make.conf
 	$(CC) $(CFLAGS) $(PREFS) -c buildinfo.c -o $@
 
 buildinfo.h : buildinfo$(EXE) $(GRSRCS) $(GUISRCS)
-	./buildinfo$(EXE) > $@
+	$(RM) t.h
+	./buildinfo$(EXE) > t.h
+	mv t.h $@
 
 $(PARS_C) : $(PARS_Y)
 	$(YACC) -t $?
@@ -61,21 +65,20 @@
 
 tests : dummy
 
-links : $(GRACE)
+links : $(GRACE_HOME)/bin/$(GRACE)
 	$(MKINSTALLDIRS) $(PREFIX)/bin
 	cd $(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
 	cd $(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)
+	cd $(PREFIX)/bin; $(RM) $(GRACECLI); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACECLI)
 
 clean : 
-	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O)
+	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo.h buildinfo$(O) buildinfo$(EXE)
 
-distclean : 
-	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) buildinfo$(EXE)\
-	tags *.orig *.*gr .gdb_history t1lib.log
+distclean : clean
+	$(RM) $(GRACE) tags *.orig *.*gr .gdb_history t1lib.log
 
-devclean : 
-	$(RM) $(GRACE) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) \
-	tags *.orig *.*gr .gdb_history t1lib.log $(PARS_C)
+devclean : distclean
+	$(RM) $(PARS_C)
 
 depend :
 	echo "# Generated automatically by \`make depend'" > Make.dep
@@ -83,7 +86,7 @@
 		| sed 's/\.o:/\$$(O)\ :/g' >> Make.dep
 
 tags : $(GRSRCS) $(GUISRCS) $(PARS_Y)
-	ctags --format=1 $(GRSRCS) $(GUISRCS) $(PARS_Y)
+	ctags $(GRSRCS) $(GUISRCS) $(PARS_Y)
 
 dummy :

## grace 5.1.18

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(T1_INC) $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS)
 
 LIBS=$(GUI_LIBS) $(CEPHES_LIB) $(NETCDF_LIBS) $(FFTW_LIB) \
-	$(T1_LIB) $(PDF_LIB) $(TIFF_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) \
+	$(T1_LIB) $(PDF_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) \
 	$(NOGUI_LIBS) $(DL_LIB)
 
 PREFS=-DGRACE_HOME=\"$(GRACE_HOME)\" -DGRACE_PRINT_CMD=\"$(PRINT_CMD)\" \
@@ -59,17 +59,20 @@
 
 
 install : $(GRACE)
-	$(MKINSTALLDIRS) $(GRACE_HOME)/bin
-	$(INSTALL_PROGRAM) -s $(GRACE) $(GRACE_HOME)/bin/$(GRACE)
-	cd $(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)
+	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/bin
+	$(INSTALL_PROGRAM) -s $(GRACE) $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
+	cd $(DESTDIR)$(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)
 
 tests : dummy
 
-links : $(GRACE_HOME)/bin/$(GRACE)
-	$(MKINSTALLDIRS) $(PREFIX)/bin
-	cd $(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
-	cd $(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)
-	cd $(PREFIX)/bin; $(RM) $(GRACECLI); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACECLI)
+$(DESTDIR)$(GRACE_HOME)/bin/$(GRACE) : $(GRACE)
+	$(MAKE) install
+
+links : $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
+	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/bin
+	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
+	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)
+	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRACECLI); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACECLI)
 
 clean : 
 	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo.h buildinfo$(O) buildinfo$(EXE)

## grace 5.1.21

=== Makefile ===
--- 
+++ 
@@ -13,15 +13,15 @@
 
 install : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
-	$(MKINSTALLDIRS) $(GRACE_HOME)
-	@if test -f $(GRACE_HOME)/gracerc; then \
-		echo "	$(GRACE_HOME)/gracerc exists"; \
-		echo "	Installing only $(GRACE_HOME)/gracerc.sample"; \
-		$(INSTALL_DATA) gracerc $(GRACE_HOME)/gracerc.sample; \
+	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)
+	@if test -f $(DESTDIR)$(GRACE_HOME)/gracerc; then \
+		echo "	$(DESTDIR)$(GRACE_HOME)/gracerc exists"; \
+		echo "	Installing only $(DESTDIR)$(GRACE_HOME)/gracerc.sample"; \
+		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME)/gracerc.sample; \
 	else \
-		$(INSTALL_DATA) gracerc $(GRACE_HOME); \
+		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME); \
 	fi
-	$(INSTALL_DATA) gracerc.user $(GRACE_HOME)
+	$(INSTALL_DATA) gracerc.user $(DESTDIR)$(GRACE_HOME)
 
 tests : subdirs
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done
@@ -40,7 +40,8 @@
 
 devclean :
 	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
-	$(RM) config.log config.status config.cache config.h Make.conf configure
+	$(RM) config.log config.status config.cache config.h Make.conf \
+	configure CHANGES ChangeLog
 
 texts : CHANGES ChangeLog

## grace 5.1.22

=== debian/changelog ===
grace (1:5.1.22-9ubuntu1) natty; urgency=low

  * debian/patches/debug-symbols.diff: Prevent stripping of debug symbols by
    Makefiles.  This allows production of a debug-symbol package by
    pkg-create-dbgsym (LP: #721855, Closes: #614102)

 -- Alex Valavanis <valavanisalex@googlemail.com>  Sat, 19 Feb 2011 19:07:40 +0000

grace (1:5.1.22-9) unstable; urgency=low

  * copyright: Update contact info and years.
  * grace.menu: Move from Science/Mathematics to Science/Data Analysis.
    Change hints to longtitle.  (Closes: #606965) 
  * patches/tmpnam_to_mkstemp.diff: Create temporary files in /tmp rather
    than working directory.
  * rules: Hardcode use of xterm instead of x-terminal-emulator to work
    around the auto-backgrounding "feature" of konsole/gnome-terminal.
    (Closes: #601829)
    - control: Add Depends: on xterm.
  * patches/*: Add DEP-3 headers.  Rename grace_manpage_debian_warning.diff
    to the more general manpages.diff.
  * grace.overrides: Override lintian empty directory warning on
    /usr/share/fonts/type1, which is populated in the postinst.

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 23 Jan 2011 16:07:14 -0800

grace (1:5.1.22-8) unstable; urgency=low

  * control: Increment Standards-Version to 3.9.1, no changes necessary.
  * patches/nonlinear_extended.diff: Revision by Nicola Ferralis to add
    Weibull probability distribution fitting.  (Closes: #589965) 

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 27 Jul 2010 11:02:37 -0700

grace (1:5.1.22-7) unstable; urgency=low

  * Replace defoma font management with new /usr/sbin/update-grace-fonts
    trigger.  Many thanks to Kenshi Muto for the implementation.
    (Closes: #542335, #583956, #583964)
    - README.Debian: Update description of font handling, eliminate all
      references to defoma.
    - control: Depends -= defoma, += fontconfig.
  * grace.preinst, grace.postinst: Additionally remove code only needed for
    upgrades from truly antique (pre-oldstable) releases.
  * patches/nonlinear_extended.diff: Add menu entry for Doniach-Sunjic peak
    fitting.  (Closes: #583966)
  * Backed out subscript-superscript-scale.diff pending coordination with
    upstream, to avoid distro-specific incompatibilities.
  * compat: Increment to debhelper v7.
  * Convert to source format 3.0 (quilt).  Replace uuencoded icons with 
    their decoded PNG forms; clean out the associated decoding and patching
    logic from rules, and remove Build-Depends on sharutils and quilt.

 -- Nicholas Breen <nbreen@ofb.net>  Sun, 06 Jun 2010 14:36:06 -0700

grace (1:5.1.22-6) unstable; urgency=low

  * rules: Run sensible-editor inside x-terminal-emulator.  
    (Closes: #582154) (LP: #582399)
  * New patches:
    - non-resizable-dialogs.patch: Set certain dialog boxes to fixed sizes,
      preventing display errors and possible concealment of action buttons.
      (Closes: #253087)
    - superscript-subscript-scale.patch: Adjust {sub,super}script scaling to
      bring them more in line with LaTeX's style.  (Closes: #279359)
    - nonlinear_extended.diff: Add support for non-linear Lorentian and
      Gaussian fitting.  Written and contributed by Nicola Ferralis.
      (Closes: #578435) (LP: #535459)
  * control: Add Build-Depends on texlive-latex-{base,recommended} for
    regeneration of DVI documentation.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 26 May 2010 19:06:09 -0700

grace (1:5.1.22-5) unstable; urgency=low

  * Compile with -g0 on mips and mipsel, as a workaround for a FTBFS
    caused by the linker bug described in #519006.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 16 Mar 2010 14:09:34 -0700

grace (1:5.1.22-4) unstable; urgency=low

  * changelog: Fix typo in previous entry.  (Closes: #568675)
  * control: Increment Standards-Version to 3.8.4.
  * patches/motiflockup.patch: Stack on another workaround for the cursor
    grab problem.  (Closes: #567323)
  * patches/rmsdiff.patch: Replace with upstream's version.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 15 Mar 2010 20:16:29 -0700

grace (1:5.1.22-3) unstable; urgency=low

  * debian/control: 
    - Adopt the package.  (Closes: #459483)
    - Drop Suggests on grace-utils and Build-Depends option on g77, both no
      longer in the archive.
    - Bump Standards-Version to 3.8.3.  No packaging changes necessary.
    - Remove Xs- prefix from Vcs-Svn.
  * debian/rules: Remove call to dh_desktop.
  * debian/grace.pre{inst,rm}: Set -e.
  * Add trivial manpage for grace-thumbnailer(1), links to grace(1).
  * Add debian/README.source.
  * New patches:
    - rmsdiff.patch: Display RMS percentage error as an actual percentage.
      Patch courtesy of Alex Valavanis.  (Closes: #533761, 533762)
    - netbook_small_screen_2.diff: Improve display on small-resolution
      screens.  Patch from feranick, Ubuntu LP #391833.
    - motiflockup.patch: Fix joint grace/X lockup when selecting new data
      set under certain circumstances.  (Closes: #567323)
   * Updated patches:
    - grace_manpage_debian_warning.diff: Add whatis entry to grconvert(1).

 -- Nicholas Breen <nbreen@ofb.net>  Fri, 05 Feb 2010 13:18:01 -0800

grace (1:5.1.22-2) unstable; urgency=low

  * Orphan the package.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 20:14:34 +0100

grace (1:5.1.22-1) unstable; urgency=low

  [ Ionut Georgescu ]
  * Switch from FFTW2 to FFTW3. Use pkg-config to locate FFTW3.
    (Closes: #264201).
  * NetCDF support was no longer build. Use the AC_CHECK_LIB macro to check
    for the existence of the library.
  * Make sure that all patches are applied with -p1. (Closes: #485345)
  * Update Standards-Version, Homepage, and Depends.
  * Update manpage fdf2fit.1.
  * Update doc-base file.

  [ Torsten Werner ]
  * New upstream release

 -- Torsten Werner <twerner@debian.org>  Mon, 21 Jul 2008 21:24:48 +0200

grace (1:5.1.21-2) unstable; urgency=low

  * Add debian/watch.
  * Fix desktop and menu file.
  * Bumped up Standards-Version: 3.7.3.



=== debian/control ===
Source: grace
#Format: 3.0 (quilt)
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicholas Breen <nbreen@ofb.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 7.0.50~), lesstif2-dev, libxpm-dev,
 libfftw3-dev, libjpeg-dev, libpng12-dev | libpng-dev, libnetcdf-dev,
 gfortran | fortran-compiler, xmhtml1-dev, libt1-dev, fontconfig,
 linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended
Vcs-Svn: http://svn.debian.org/wsvn/pkg-grace/grace/trunk/
Homepage: http://plasma-gate.weizmann.ac.il/Grace

Package: grace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gsfonts (>= 6.0), fontconfig, xterm
Suggests: texlive-extra-utils, ghostscript
Replaces: xmgr
Description: An XY plotting tool
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 This is the program formerly known as Xmgr.
 .
 A few of its features are: User defined scaling, tick marks, labels,
 symbols, line styles, colors. Polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation. Batch mode for unattended
 plotting. Hardcopy support for PostScript, FrameMaker and several image
 formats.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq ($(DEB_BUILD_ARCH),m68k)
	CFLAGS=-g -O1 $(DEB_OPT_FLAG)
endif

# Workaround for compiler/binutils bug on mips and mipsel, see #519006.
ifneq (,$(filter mips mipsel, $(DEB_HOST_ARCH)))
	CFLAGS = -Wall -g0 $(DEB_OPT_FLAG)
endif

DEB_CONFIGURE_EXTRA_FLAGS := --enable-grace-home=/usr/share/grace \
	--with-editor="xterm -e sensible-editor" \
	--with-helpviewer="sensible-browser %s" \
	--with-f77=gfortran \
	--disable-pdfdrv

DEB_DESTDIR = $(CURDIR)/debian/tmp/
DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)

# this prevents cdbs from creating a symlink to debian/patches
DEB_QUILT_PATCHDIR_LINK=
export QUILT_PATCHES=debian/patches

binary-post-install/grace::
	# install the icons
	themedir=$(CURDIR)/debian/grace/usr/share/icons/hicolor;\
	for x in 16 22 24 32; do \
		install -D -m 644 -o root -g root debian/icons/grace$${x}.png \
			$${themedir}/$${x}x$${x}/apps/grace.png; \
	done
	install -m 755 -o root -g root debian/update-grace-fonts \
		$(CURDIR)/debian/grace/usr/sbin/update-grace-fonts
	dh_gconf -pgrace

get-orig-source::
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/grace-(\d.*).tar.gz \
  debian debian/orig-tar.sh
